net.sourceforge.pmd.benchmark

## Class StringBuilderCR

- java.lang.Object
- - net.sourceforge.pmd.benchmark.StringBuilderCR

    public class StringBuilderCR
    extends Object

A wrapped StringBuilder that appends a variable number of text segments efficiently and always appends the specified carriage return terminator.

Author:
  Brian Remedios

### Constructor Summary

Constructors
Constructor and Description
`StringBuilderCR(String theCR)`
`StringBuilderCR(String initialText, String theCR)`

### Method Summary

Methods
`void` `appendLn(String... chunks)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StringBuilderCR

    public StringBuilderCR(String theCR)

#### StringBuilderCR

    public StringBuilderCR(String initialText,
                   String theCR)

### Method Detail

#### appendLn

    public void appendLn(String... chunks)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`